> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# search score change

> Search by params from response dto



## OpenAPI

````yaml /openapi.json post /api/v1/organisation/{id}/score/search
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/organisation/{id}/score/search:
    post:
      tags:
        - Organisation Route
      summary: search score change
      description: Search by params from response dto
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OsQuerySearchRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoScoreChangeDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    OsQuerySearchRequestDto:
      type: object
      properties:
        from:
          format: int32
          description: Starting document offset
          default: 0
          minimum: 0
          type: integer
          example: 0
        size:
          format: int32
          description: The number of hits to return
          default: 10
          maximum: 10000
          minimum: 0
          type: integer
          example: 10
        query:
          description: >-
            Query string according to
            https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html
            with Default: auto_generate_synonyms_phrase_query=false,
            fuzzy_max_expansions=0, fuzzy_transpositions=false
          type: string
          example: address:0xdAC17F958D2ee523a2206206994597C13D831ec7
        timeseries:
          description: Timestamp ranges for search indices calculation
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/OsIndexRangeDto'
        trackTotalCount:
          format: int32
          description: >-
            Return total results up to 'count' value. If 0, then total tracking
            is disabled and return total=0
          default: 10000
          type: integer
        sort:
          description: Sorting for the search
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/OsSortDto'
    PaginationDtoScoreChangeDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/ScoreChangeDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    OsIndexRangeDto:
      required:
        - from
        - to
      type: object
      properties:
        from:
          format: int64
          description: From millis timestamp for search indices calculation
          minimum: 0
          type: integer
        to:
          format: int64
          description: To millis timestamp for search indices calculation
          minimum: 0
          type: integer
    OsSortDto:
      required:
        - field
      type: object
      properties:
        field:
          description: Field name for sorting
          pattern: \S
          type: string
          example: timestamp
        mode:
          description: >-
            Used for array values sorting. The mode option controls what array
            value is picked for sorting the document it belongs to Default:
            ascending sort order is Min, descending order is Max
          type: string
          allOf:
            - $ref: '#/components/schemas/SortMode'
        order:
          description: 'Order for the sorting. Default: Asc'
          type: string
          allOf:
            - $ref: '#/components/schemas/SortOrder1'
    ScoreChangeDto:
      type: object
      properties:
        uid:
          description: UID of the document
          type: string
        index:
          description: Index of the document
          type: string
        timestamp:
          format: int64
          description: Event timestamp
          type: integer
        i:
          format: int32
          description: Index of the document
          type: integer
        type:
          description: Type of the events with same timestamp
          type: string
        organisationId:
          format: int64
          description: Id of the organisation that provided the license
          type: integer
        licenseId:
          format: int64
          description: Id of the license that provided score formula
          type: integer
        licenseInstanceId:
          format: int64
          description: Id of the license instance that provided score formula
          type: integer
        tenantId:
          format: int64
          description: Id of the tenant that provided alert
          type: integer
        projectId:
          format: int64
          description: Id of the project that provided alert
          type: integer
        contractId:
          format: int64
          description: Id of the contract that provided alert
          type: integer
        txHash:
          description: Hash of the transaction, that produced this event
          type: string
        detectorSchemaName:
          description: Detector schema name of the score change
          type: string
        alertId:
          description: Id of the alert that triggered this score change
          type: string
        monitorId:
          description: Monitor id for deduplication of this score change
          type: string
        alertName:
          description: Name of the alert that triggered this score change
          type: string
        alertMessage:
          description: Message of the alert that triggered this score change
          type: string
        numericSeverity:
          format: double
          description: Numeric severity of the alert that triggered this score change
          type: number
        severity:
          description: Severity of the alert that triggered this score change
          type: string
        tags:
          description: Tag list of the alert, could be viewed or empty
          uniqueItems: true
          type: array
          items:
            type: string
        meta:
          description: Metadata of the alert, that produced this score change
          type: object
          additionalProperties:
            type: string
        scoreGroup:
          description: Score group of the score
          type: string
        score:
          format: double
          description: Total score
          type: number
        scoreChange:
          format: double
          description: Change of the score compared with previous event
          type: number
        key:
          description: Key of the score data
          type: string
        value:
          format: double
          description: Value of the score data
          type: number
    SortMode:
      enum:
        - Min
        - Max
        - Sum
        - Avg
        - Median
      type: string
    SortOrder1:
      enum:
        - Asc
        - Desc
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````